## gcc-xtensa-lx106 1

=== debian/changelog ===
gcc-xtensa-lx106 (1) unstable; urgency=medium

  * First release, based on gcc-arm-none-eabi (Closes: #917547)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 30 Dec 2018 10:19:18 +0000
