=== debian/control ===
Source: gcc-xtensa-lx106
Section: devel
Priority: optional
Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends:
 autoconf2.64,
 autogen,
 binutils-xtensa-lx106,
 bison,
 debhelper (>= 10),
 dejagnu,
 flex,
 gawk,
 gcc-8-source,
 gettext,
 libgmp-dev,
 libmpc-dev,
 libmpfr-dev,
 libtool,
 locales,
 lsb-release,
 lzma,
 m4,
 patchutils,
 sharutils,
 texinfo,
 xz-utils,
 zlib1g-dev,
 libisl-0.18-dev,
 libcloog-isl-dev,
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://gcc.gnu.org/
Vcs-Git: https://salsa.debian.org/electronics-team/toolchains/gcc-xtensa-lx106.git
Vcs-Browser: https://salsa.debian.org/electronics-team/toolchains/gcc-xtensa-lx106

Package: gcc-xtensa-lx106
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-xtensa-lx106
Built-Using: ${Built-Using}
Description: GNU C compiler for Xtensa lx106 core
 Bare metal C cross compiler for chips using the Xtensa lx106 core, such
 as the Espressif ESP8266 wireless SoCs. This package is primarily for
 those developing for the ESP8266 platform and is not needed by normal
 users or developers.
