## gcc-xtensa-lx106 2

=== debian/changelog ===
gcc-xtensa-lx106 (2) unstable; urgency=medium

  *  Remove unnecessary build-deps (Closes: #921855)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 27 Feb 2019 14:55:11 +0000
