=== debian/control ===
--- 
+++ 
@@ -20,15 +20,10 @@
  libtool,
  locales,
  lsb-release,
- lzma,
  m4,
- patchutils,
- sharutils,
  texinfo,
  xz-utils,
- zlib1g-dev,
- libisl-0.18-dev,
- libcloog-isl-dev,
+ zlib1g-dev
 Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://gcc.gnu.org/
