## gcc-xtensa-lx106 3

=== debian/changelog ===
gcc-xtensa-lx106 (3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Add a very simple autopkgtest to compile an empty file. (Closes: #927050)

  [ Jonathan McDowell ]
  * Override hardening-no-pie lintian check, as per gcc-8 package

 -- Jonathan McDowell <noodles@earth.li>  Fri, 26 Jul 2019 17:24:26 -0300
