## gcc-xtensa-lx106 4

=== debian/changelog ===
gcc-xtensa-lx106 (4) unstable; urgency=medium

  * Update to GCC 9 (Closes: #944165)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 01 Dec 2019 10:22:27 +0000
