## gcc-xtensa-lx106 5

=== debian/changelog ===
gcc-xtensa-lx106 (5) unstable; urgency=medium

  * Force u?int32_t types to use int, not long, to match Espressif SDK
  * Update autopkgtest to use AUTOPKGTEST_TMP instead of ADTTMP
  * Fix up GCC standard linked libraries

 -- Jonathan McDowell <noodles@earth.li>  Sun, 05 Jan 2020 09:38:51 +0000
