=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends:
- autoconf2.64,
+ autoconf,
  autogen,
  binutils-xtensa-lx106,
  bison,
@@ -12,7 +12,7 @@
  dejagnu,
  flex,
  gawk,
- gcc-8-source,
+ gcc-9-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
