## gcc-xtensa-lx106 6

=== debian/changelog ===
gcc-xtensa-lx106 (6) unstable; urgency=medium

  * Update for GCC move from SVN to GIT.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 23 Feb 2020 17:41:52 +0000
