=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  dejagnu,
  flex,
  gawk,
- gcc-9-source,
+ gcc-9-source (>= 9.2.1-24),
  gettext,
  libgmp-dev,
  libmpc-dev,
