=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 
 target=xtensa-lx106-elf
 
-GCC_VERSION=8
+GCC_VERSION=9
 GCC_PACKAGE=gcc-$(GCC_VERSION)
+GCC_DIR := /usr/src/gcc-9
+GCC_TARBALL := $(notdir $(wildcard $(GCC_DIR)/gcc-*.tar.*))
 
 package=gcc-xtensa-lx106
 top_dir=$(shell pwd)
@@ -19,12 +21,9 @@
 base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
 BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W $(GCC_PACKAGE)-source)
 
-upstream_dir=gcc-$(deb_upstream_version)
-
 unpack_stamp=$(stampdir)/unpack
 tar_stamp=$(stampdir)/tar
 
-src_dir=$(upstream_dir)
 build_dir=build
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format
@@ -84,11 +83,11 @@
 	$(target_tools)
 
 %:
-	dh $@ -D$(src_dir) -B$(build_dir)
+	dh $@ -Dgcc-source -B$(build_dir)
 
 $(unpack_stamp): $(tar_stamp)
 	set -ex; \
-		cd $(top_dir)/$(src_dir); \
+		cd $(top_dir)/gcc-source; \
 		for patch in $(shell cat debian/debian_patches.txt); do \
 			echo Applying patch "$$patch"; \
 			patch -p2 < $(gcc_dir)/patches/$$patch; \
@@ -102,26 +101,27 @@
 	touch $@
 
 $(tar_stamp):
-	tar xf $(gcc_dir)/gcc-*.tar.*
-	cp debian/overlay/include/xtensa-config.h gcc-*/include/
+	tar xf $(GCC_DIR)/$(GCC_TARBALL)
+	ln -s gcc-$(GCC_VERSION)* gcc-source
+	cp debian/overlay/include/xtensa-config.h gcc-source/include/
 	mkdir -p $(stampdir)
 	cp /usr/share/doc/$(GCC_PACKAGE)-source/copyright debian/copyright-gcc
 	touch $@
 
 override_dh_autoreconf: $(unpack_stamp)
-	autoreconf2.64 -f -i $(upstream_dir)
+	autoreconf -f -i gcc-source
 
 override_dh_auto_configure: $(unpack_stamp)
 	mkdir -p $(build_dir)
-	dh_auto_configure -D$(src_dir) -B$(build_dir) -- $(configure_flags)
+	dh_auto_configure -Dgcc-source -B$(build_dir) -- $(configure_flags)
 
 override_dh_auto_clean:
-	rm -rf $(upstream_dir) $(build_dir) debian/tmp debian/copyright-gcc $(stampdir)
+	rm -rf gcc-* $(build_dir) debian/tmp debian/copyright-gcc $(stampdir)
 	dh_autoreconf_clean
 
 override_dh_auto_test:
 	@echo "no testing, that's way too painful"
-#	dh_auto_test -D$(src_dir) -B$(build_dir) --max-parallel=1
+#	dh_auto_test -Dgcc-source -B$(build_dir) --max-parallel=1
 
 override_dh_gencontrol:
 	dh_gencontrol -a -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgcc:Version=$(source_version) -VBuilt-Using="$(BUILT_USING)"
@@ -132,7 +132,7 @@
 	cd $(top_dir)/build && make install DESTDIR=$(top_dir)/debian/tmp
 
 override_dh_installchangelogs:
-	dh_installchangelogs $(upstream_dir)/ChangeLog
+	dh_installchangelogs gcc-source/ChangeLog
 
 override_dh_compress:
 	dh_compress -Xexamples/
