=== debian/tests/control ===
Tests: compile-empty-lx106
Depends: gcc-xtensa-lx106
