## gcc-xtensa-lx106 7

=== debian/changelog ===
gcc-xtensa-lx106 (7) unstable; urgency=medium

  * Updated force-m32 patch for GCC 9.3.0. (Closes: #959622)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 03 May 2020 18:42:56 +0100
