## gcc-xtensa-lx106 8

=== debian/changelog ===
gcc-xtensa-lx106 (8) unstable; urgency=medium

  * Update to GCC 10 (Closes: #978512)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 02 Jan 2021 14:49:43 +0000
