=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 
 target=xtensa-lx106-elf
 
-GCC_VERSION=9
+GCC_VERSION=10
 GCC_PACKAGE=gcc-$(GCC_VERSION)
-GCC_DIR := /usr/src/gcc-9
+GCC_DIR := /usr/src/gcc-10
 GCC_TARBALL := $(notdir $(wildcard $(GCC_DIR)/gcc-*.tar.*))
 
 package=gcc-xtensa-lx106
