## gcc-xtensa-lx106 8build1

=== debian/changelog ===
gcc-xtensa-lx106 (8build1) hirsute; urgency=medium

  * No-change upload to build with GCC 10.3.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Apr 2021 16:49:02 +0200
