## gcc-xtensa-lx106 8ubuntu1

=== debian/changelog ===
gcc-xtensa-lx106 (8ubuntu1) hirsute; urgency=medium

  * Build using GCC 10.3.0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Apr 2021 09:08:15 +0200
