=== debian/rules ===
--- 
+++ 
@@ -88,7 +88,7 @@
 $(unpack_stamp): $(tar_stamp)
 	set -ex; \
 		cd $(top_dir)/gcc-source; \
-		for patch in $(shell cat debian/debian_patches.txt); do \
+		for patch in $(shell cat debian/debian_patches.txt | grep -v '^#'); do \
 			echo Applying patch "$$patch"; \
 			patch -p2 < $(gcc_dir)/patches/$$patch; \
 		done
