## gcc-xtensa-lx106 11

=== debian/changelog ===
gcc-xtensa-lx106 (11) unstable; urgency=medium

  * Fix D autopkgtest to not output to stderr when there's no error.

 -- Jonathan McDowell <noodles@earth.li>  Wed, 20 Jul 2022 10:08:06 +0100

gcc-xtensa-lx106 (10) unstable; urgency=medium

  * Enable D compiler. Thanks to Witold Baryluk. (Closes: #961090)
  * Update to GCC 11
  * Fix compilation with usrmerge by forcibly configuring paths. Thanks
    to Vagrant Cascadian (Closes: #1003495)

 -- Jonathan McDowell <noodles@earth.li>  Mon, 18 Jul 2022 08:32:48 +0100

gcc-xtensa-lx106 (9) unstable; urgency=medium

  * Fix pulling in of Debian GCC patches.
  * Depend on autoconf2.69 instead of just autoconf. (Closes: #978819)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 26 Aug 2021 09:23:47 +0100
