=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@alioth-lists.debian.net>
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends:
- autoconf,
+ autoconf2.69,
  autogen,
  binutils-xtensa-lx106,
  bison,
@@ -12,7 +12,7 @@
  dejagnu,
  flex,
  gawk,
- gcc-10-source,
+ gcc-11-source,
  gettext,
  libgmp-dev,
  libmpc-dev,
@@ -34,8 +34,8 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, binutils-xtensa-lx106
 Built-Using: ${Built-Using}
-Description: GNU C compiler for Xtensa lx106 core
- Bare metal C cross compiler for chips using the Xtensa lx106 core, such
- as the Espressif ESP8266 wireless SoCs. This package is primarily for
- those developing for the ESP8266 platform and is not needed by normal
- users or developers.
+Description: GNU Compiler Collection for Xtensa lx106 core
+ Bare metal C, C++ and D cross compilers for chips using the Xtensa lx106
+ core, such as the Espressif ESP8266 wireless SoCs. This package is
+ primarily for those developing for the ESP8266 platform and is not needed
+ by normal users or developers.
