=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,11 @@
 
 target=xtensa-lx106-elf
 
-GCC_VERSION=10
+GCC_VERSION=11
 GCC_PACKAGE=gcc-$(GCC_VERSION)
-GCC_DIR := /usr/src/gcc-10
+GCC_DIR := /usr/src/gcc-11
 GCC_TARBALL := $(notdir $(wildcard $(GCC_DIR)/gcc-*.tar.*))
+GM2_TARBALL := $(notdir $(wildcard $(GCC_DIR)/gm2-*.tar.*))
 
 package=gcc-xtensa-lx106
 top_dir=$(shell pwd)
@@ -40,7 +41,7 @@
 	STRIP_FOR_TARGET=$(target)-strip
 
 configure_flags = \
-	--enable-languages=c,c++ \
+	--enable-languages=c,c++,d,lto \
 	--prefix=/usr/lib \
 	--infodir=/usr/share/doc/$(package)/info \
 	--mandir=/usr/share/man \
@@ -55,6 +56,7 @@
 	--disable-libffi \
 	--disable-libgomp \
 	--disable-libmudflap \
+	--disable-libphobos \
 	--disable-libquadmath \
 	--disable-libquadmath-support \
 	--disable-libssp \
@@ -79,19 +81,25 @@
 	--without-newlib \
 	"--with-pkgversion=$(deb_version)" \
 	--without-included-gettext \
+	SED=/bin/sed \
+	SHELL=/bin/sh \
+	BASH=/bin/bash \
+	CONFIG_SHELL=/bin/bash \
 	$(buildflags) \
 	$(target_tools)
 
 %:
-	dh $@ -Dgcc-source -B$(build_dir)
+	dh $@ -Dsrc -B$(build_dir)
 
 $(unpack_stamp): $(tar_stamp)
 	set -ex; \
-		cd $(top_dir)/gcc-source; \
-		for patch in $(shell cat debian/debian_patches.txt | grep -v '^#'); do \
-			echo Applying patch "$$patch"; \
-			patch -p2 < $(gcc_dir)/patches/$$patch; \
-		done
+		GFDL_INVARIANT_FREE=yes \
+		patchdir=$(top_dir)/patches \
+		stampdir=$(top_dir)/$(stampdir) \
+		make -f $(GCC_DIR)/debian/rules.patch series; \
+		QUILT_PATCHES=$(top_dir)/patches QUILT_PATCH_OPTS='-E' \
+		quilt --quiltrc /dev/null push -a; \
+	touch src/gcc/distro-defaults.h; \
 	set -ex; \
 		cd gcc-*; \
 		for patch in ../debian/local-patches/[0-9]*.patch; do \
@@ -102,18 +110,22 @@
 
 $(tar_stamp):
 	tar xf $(GCC_DIR)/$(GCC_TARBALL)
-	ln -s gcc-$(GCC_VERSION)* gcc-source
-	cp debian/overlay/include/xtensa-config.h gcc-source/include/
+	ln -s gcc-$(GCC_VERSION)* src
+	tar xf $(GCC_DIR)/$(GM2_TARBALL)
+	(cd gm2 && tar cf - gcc libgm2) | (cd src && tar xf -)
+	rm -rf gm2
+	cp debian/overlay/include/xtensa-config.h src/include/
 	mkdir -p $(stampdir)
 	cp /usr/share/doc/$(GCC_PACKAGE)-source/copyright debian/copyright-gcc
+	cp -a $(GCC_DIR)/debian/patches .
 	touch $@
 
 override_dh_autoreconf: $(unpack_stamp)
-	autoreconf -f -i gcc-source
+	autoreconf2.69 -f -i src
 
 override_dh_auto_configure: $(unpack_stamp)
 	mkdir -p $(build_dir)
-	dh_auto_configure -Dgcc-source -B$(build_dir) -- $(configure_flags)
+	dh_auto_configure -Dsrc -B$(build_dir) -- $(configure_flags)
 
 override_dh_auto_clean:
 	rm -rf gcc-* $(build_dir) debian/tmp debian/copyright-gcc $(stampdir)
@@ -121,7 +133,7 @@
 
 override_dh_auto_test:
 	@echo "no testing, that's way too painful"
-#	dh_auto_test -Dgcc-source -B$(build_dir) --max-parallel=1
+#	dh_auto_test -Dsrc -B$(build_dir) --max-parallel=1
 
 override_dh_gencontrol:
 	dh_gencontrol -a -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version) -Vgcc:Version=$(source_version) -VBuilt-Using="$(BUILT_USING)"
@@ -132,7 +144,7 @@
 	cd $(top_dir)/build && make install DESTDIR=$(top_dir)/debian/tmp
 
 override_dh_installchangelogs:
-	dh_installchangelogs gcc-source/ChangeLog
+	dh_installchangelogs src/ChangeLog
 
 override_dh_compress:
 	dh_compress -Xexamples/
