## gcc-xtensa-lx106 12

=== debian/changelog ===
gcc-xtensa-lx106 (12) unstable; urgency=medium

  * Update to GCC 12 (Closes: #1023698)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 07 Dec 2022 21:58:27 +0000
