## gcc-xtensa-lx106 13

=== debian/changelog ===
gcc-xtensa-lx106 (13) unstable; urgency=medium

  * Re-enable debugging (Closes: #1032564)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 11 Mar 2023 11:17:37 +0000
