=== debian/control ===
--- 
+++ 
@@ -12,9 +12,11 @@
  dejagnu,
  flex,
  gawk,
- gcc-11-source,
+ gcc-12-source,
+ gdc,
  gettext,
  libgmp-dev,
+ libisl-dev (>= 0.20),
  libmpc-dev,
  libmpfr-dev,
  libtool,
