=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,9 @@
 
 target=xtensa-lx106-elf
 
-GCC_VERSION=11
+GCC_VERSION=12
 GCC_PACKAGE=gcc-$(GCC_VERSION)
-GCC_DIR := /usr/src/gcc-11
+GCC_DIR := /usr/src/gcc-12
 GCC_TARBALL := $(notdir $(wildcard $(GCC_DIR)/gcc-*.tar.*))
 GM2_TARBALL := $(notdir $(wildcard $(GCC_DIR)/gm2-*.tar.*))
